<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\deportista;
use Illuminate\Support\Facades\DB;

class SerieController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function caupolican()
    {   $club="caupolican";
        $serie=trim(request('serie'));//trim quita los espacios en blanco
    
    if ($serie == '*') 
        {
        $jugadores=DB::table('deportistas')
        ->where('club', 'LIKE','caupolican')
        ->orderBy('nombre')
        ->get();
        }
    else { 
        $jugadores=DB::table('deportistas')
        ->select('id','cedula','nombre','fecha_nacimiento','dia_nacimiento','mes_nacimiento','ano_nacimiento','sexo','edad','serie','club','procedencia','sancion','imagen')
        ->where('serie','LIKE',$serie)//busca por cedula (si se le agrega '%' busca por cualquier parte de la cedula)
        ->where('club', 'LIKE', 'caupolican')
        ->orderBy('nombre')
        ->get();
        }
    return view('mantenedor', compact('jugadores', 'serie','club'));
    }

    public function molinos()
    {   $club="molinos";
        $serie=trim(request('serie'));//trim quita los espacios en blanco
    
    if ($serie == '*') 
        {
        $jugadores=DB::table('deportistas')
        ->where('club', 'LIKE','molinos')
        ->orderBy('nombre')
        ->get();
        }
    else { 
        $jugadores=DB::table('deportistas')
        ->select('id','cedula','nombre','fecha_nacimiento','dia_nacimiento','mes_nacimiento','ano_nacimiento','sexo','edad','serie','club','procedencia','sancion','imagen')
        ->where('serie','LIKE',$serie)//busca por cedula (si se le agrega '%' busca por cualquier parte de la cedula)
        ->where('club', 'LIKE', 'molinos')
        ->orderBy('nombre')
        ->get();
        }
    return view('mantenedor', compact('jugadores', 'serie','club'));
    }

    public function iberia()
    {   $club="iberia";
        $serie=trim(request('serie'));//trim quita los espacios en blanco
    
    if ($serie == '*') 
        {
        $jugadores=DB::table('deportistas')
        ->where('club', 'LIKE','iberia')
        ->orderBy('nombre')
        ->get();
        }
    else { 
        $jugadores=DB::table('deportistas')
        ->select('id','cedula','nombre','fecha_nacimiento','dia_nacimiento','mes_nacimiento','ano_nacimiento','sexo','edad','serie','club','procedencia','sancion','imagen')
        ->where('serie','LIKE',$serie)//busca por cedula (si se le agrega '%' busca por cualquier parte de la cedula)
        ->where('club', 'LIKE', 'iberia')
        ->orderBy('nombre')
        ->get();
        }
    return view('mantenedor', compact('jugadores', 'serie','club'));
    }

    public function condor()
    {   $club="condor";
        $serie=trim(request('serie'));//trim quita los espacios en blanco
    
    if ($serie == '*') 
        {
        $jugadores=DB::table('deportistas')
        ->where('club', 'LIKE','condor')
        ->orderBy('nombre')
        ->get();
        }
    else { 
        $jugadores=DB::table('deportistas')
        ->select('id','cedula','nombre','fecha_nacimiento','dia_nacimiento','mes_nacimiento','ano_nacimiento','sexo','edad','serie','club','procedencia','sancion','imagen')
        ->where('serie','LIKE',$serie)//busca por cedula (si se le agrega '%' busca por cualquier parte de la cedula)
        ->where('club', 'LIKE', 'condor')
        ->orderBy('nombre')
        ->get();
        }
    return view('mantenedor', compact('jugadores', 'serie','club'));
    }

    public function ohiggins()
    {   $club="ohiggins";
        $serie=trim(request('serie'));//trim quita los espacios en blanco
    
    if ($serie == '*') 
        {
        $jugadores=DB::table('deportistas')
        ->where('club', 'LIKE','ohiggins')
        ->orderBy('nombre')
        ->get();
        }
    else { 
        $jugadores=DB::table('deportistas')
        ->select('id','cedula','nombre','fecha_nacimiento','dia_nacimiento','mes_nacimiento','ano_nacimiento','sexo','edad','serie','club','procedencia','sancion','imagen')
        ->where('serie','LIKE',$serie)//busca por cedula (si se le agrega '%' busca por cualquier parte de la cedula)
        ->where('club', 'LIKE', 'ohiggins')
        ->orderBy('nombre')
        ->get();
        }
    return view('mantenedor', compact('jugadores', 'serie','club'));
    }

    public function balneario()
    {   $club="balneario";
        $serie=trim(request('serie'));//trim quita los espacios en blanco
    
    if ($serie == '*') 
        {
        $jugadores=DB::table('deportistas')
        ->where('club', 'LIKE','balneario')
        ->orderBy('nombre')
        ->get();
        }
    else { 
        $jugadores=DB::table('deportistas')
        ->select('id','cedula','nombre','fecha_nacimiento','dia_nacimiento','mes_nacimiento','ano_nacimiento','sexo','edad','serie','club','procedencia','sancion','imagen')
        ->where('serie','LIKE',$serie)//busca por cedula (si se le agrega '%' busca por cualquier parte de la cedula)
        ->where('club', 'LIKE', 'balneario')
        ->orderBy('nombre')
        ->get();
        }
    return view('mantenedor', compact('jugadores', 'serie','club'));
    }

    public function pellines()
    {   $club="pellines";
        $serie=trim(request('serie'));//trim quita los espacios en blanco
    
    if ($serie == '*') 
        {
        $jugadores=DB::table('deportistas')
        ->where('club', 'LIKE','pellines')
        ->orderBy('nombre')
        ->get();
        }
    else { 
        $jugadores=DB::table('deportistas')
        ->select('id','cedula','nombre','fecha_nacimiento','dia_nacimiento','mes_nacimiento','ano_nacimiento','sexo','edad','serie','club','procedencia','sancion','imagen')
        ->where('serie','LIKE',$serie)//busca por cedula (si se le agrega '%' busca por cualquier parte de la cedula)
        ->where('club', 'LIKE', 'pellines')
        ->orderBy('nombre')
        ->get();
        }
    return view('mantenedor', compact('jugadores', 'serie','club'));
    }

    public function milan()
    {   $club="milan";
        $serie=trim(request('serie'));//trim quita los espacios en blanco
    
    if ($serie == '*') 
        {
        $jugadores=DB::table('deportistas')
        ->where('club', 'LIKE','milan')
        ->orderBy('nombre')
        ->get();
        }
    else { 
        $jugadores=DB::table('deportistas')
        ->select('id','cedula','nombre','fecha_nacimiento','dia_nacimiento','mes_nacimiento','ano_nacimiento','sexo','edad','serie','club','procedencia','sancion','imagen')
        ->where('serie','LIKE',$serie)//busca por cedula (si se le agrega '%' busca por cualquier parte de la cedula)
        ->where('club', 'LIKE', 'milan')
        ->orderBy('nombre')
        ->get();
        }
    return view('mantenedor', compact('jugadores', 'serie','club'));
    }

     public function wanders()
    {   $club="wanders";
        $serie=trim(request('serie'));//trim quita los espacios en blanco
    
    if ($serie == '*') 
        {
        $jugadores=DB::table('deportistas')
        ->where('club', 'LIKE','wanders')
        ->orderBy('nombre')
        ->get();
        }
    else { 
        $jugadores=DB::table('deportistas')
        ->select('id','cedula','nombre','fecha_nacimiento','dia_nacimiento','mes_nacimiento','ano_nacimiento','sexo','edad','serie','club','procedencia','sancion','imagen')
        ->where('serie','LIKE',$serie)//busca por cedula (si se le agrega '%' busca por cualquier parte de la cedula)
        ->where('club', 'LIKE', 'wanders')
        ->orderBy('nombre')
        ->get();
        }
    return view('mantenedor', compact('jugadores', 'serie','club'));
    }







































    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     */
    public function show(string $id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(string $id)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(Request $request, string $id)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(string $id)
    {
        //
    }
}
